%define prefix /usr/X11R6
%define wdm_config wdm-config-1.20

Name: wdm
Version: 1.28
Release: alt2

Packager: Alexey Voinov <voins@altlinux.ru>

Summary: WINGs Display Manager
License: GPL
Group: Graphical desktop/Window Maker
Url: http://voins.program.ru/wdm

Source0: %name-%version.tar.bz2
Source1: %wdm_config.tar.bz2
Source2: wdm-alt-logo.png


# hand edited a little :)
# Automatically added by buildreq on Tue Jan 25 2005
BuildRequires: fontconfig freetype2-devel libWINGs-devel libjpeg-devel libpam-devel libpng-devel libtiff-devel libungif-devel libwraster-devel xorg-x11-devel xorg-x11-libs xorg-x11-server xorg-x11-utils xorg-x11-xapps xterm zlib-devel

%description
Wdm combines the functions of a graphical display manager identifying
and authenticating a user on a system with some of the functions of a
session manager in selecting and starting a window manager. Optionally,
wdm can shutdown (reboot or halt) the system.

%prep
%setup -q -a 1


%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%prefix \
	--enable-pam \
	--enable-aafont \
	--with-wdmdir=%_sysconfdir/X11/wdm \
	--with-nlsdir=%_datadir/locale \
	--with-gfxdir=%_datadir/pixmaps/wdm \
	--with-fakehome=/var/run/wdm
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%_sysconfdir/X11/%name/X*
rm -rf $RPM_BUILD_ROOT%_sysconfdir/X11/%name/wdm*
rm -rf $RPM_BUILD_ROOT%_sysconfdir/X11/%name/GiveConsole
rm -rf $RPM_BUILD_ROOT%_sysconfdir/X11/%name/TakeConsole
install -pD -m600 %wdm_config/wdm.pamd $RPM_BUILD_ROOT%_sysconfdir/pam.d/wdm
install -pD -m644 %wdm_config/Xaccess $RPM_BUILD_ROOT%_sysconfdir/X11/%name/Xaccess
install -pD -m644 %wdm_config/Xresources $RPM_BUILD_ROOT%_sysconfdir/X11/%name/Xresources
install -pD -m644 %wdm_config/Xservers $RPM_BUILD_ROOT%_sysconfdir/X11/%name/Xservers
install -pD -m755 %wdm_config/Xsession $RPM_BUILD_ROOT%_sysconfdir/X11/%name/Xsession
install -pD -m755 %wdm_config/Xsetup_0 $RPM_BUILD_ROOT%_sysconfdir/X11/%name/Xsetup_0
install -pD -m600 %wdm_config/wdm-config $RPM_BUILD_ROOT%_sysconfdir/X11/%name/wdm-config
install -pD -m600 %wdm_config/wdmLogin-config $RPM_BUILD_ROOT%_sysconfdir/X11/%name/wdmLogin-config
install -pD -m755 %wdm_config/GiveConsole $RPM_BUILD_ROOT%_sysconfdir/X11/%name/GiveConsole
install -pD -m755 %wdm_config/TakeConsole $RPM_BUILD_ROOT%_sysconfdir/X11/%name/TakeConsole
install -pD -m644 %SOURCE2 $RPM_BUILD_ROOT%_datadir/pixmaps/%name/wdm-alt-logo.png
%find_lang %name

%post
%update_wms

%files -f %name.lang
%prefix/bin/wdm
%prefix/bin/wdmLogin
%prefix/man/man1/*
%config(noreplace) %_sysconfdir/pam.d/%name
%config %_sysconfdir/X11/%name/wdm-config
%config %_sysconfdir/X11/%name/wdmLogin-config
%_sysconfdir/X11/%name/authdir
%_datadir/pixmaps/%name/*
%_sysconfdir/X11/%name/GiveConsole
%_sysconfdir/X11/%name/TakeConsole
%_sysconfdir/X11/%name/X*
%dir /var/run/wdm
%doc AUTHORS ChangeLog INSTALL NEWS README README.pam TODO

%changelog
* Sat May 21 2005 Alexey Voinov <voins@altlinux.ru> 1.28-alt2
- rebuild with new libWINGs.so

* Sat Mar 26 2005 Alexey Voinov <voins@altlinux.ru> 1.28-alt1
- new version (1.28)

* Sat Mar 19 2005 Alexey Voinov <voins@altlinux.ru> 1.27-alt4
- new snapshot (19-Mar-2005)
- fd-leak fixed

* Tue Jan 25 2005 Alexey Voinov <voins@altlinux.ru> 1.27-alt3
- removed reqs on XFree86 package
- buildreqs fixed

* Fri Sep 17 2004 ALT QA Team Robot <qa-robot@altlinux.org> 1.27-alt2.1
- Rebuilt with libtiff.so.4.

* Tue Aug 03 2004 Alexey Voinov <voins@altlinux.ru> 1.27-alt2
- use wdm-alt-logo as default

* Tue Jun 29 2004 ALT QA Team Robot <qa-robot@altlinux.org> 1.27-alt1.1
- Removed unneeded %%set_*_version calls.

* Wed Mar 03 2004 Alexey Voinov <voins@altlinux.ru> 1.27-alt1
- new version (1.27)
- autoconf/automake version enforcement removed

* Thu Sep 18 2003 Alexey Voinov <voins@voins.program.ru> 1.26-alt1
- new version (1.26)

* Fri Jun 06 2003 Alexey Voinov <voins@voins.program.ru> 1.25-alt1
- new version (1.25)

* Fri May 30 2003 Alexey Voinov <voins@voins.program.ru> 1.24-alt1
- new version (1.24)
- updated to new pam policy

* Wed May 07 2003 Alexey Voinov <voins@voins.program.ru> 1.23-alt3
- new snapshot (07-May-2003):
- pixmaps moved to /usr/share/pixmaps/wdm, (patch by Julio Merino <jmmv@menta.net>)
- option to control Xinerama head on which wdmLogin will appear
- compiled-in logo is gone, now if no logo is specified in config,
  wdmLogin will display some gradient instead of pixmap.

* Sun Apr 13 2003 Alexey Voinov <voins@voins.program.ru> 1.23-alt2
- new snapshot (13-Apr-2003) (support for xcursors)

* Sun Mar 30 2003 Alexey Voinov <voins@voins.program.ru> 1.23-alt1
- new version (1.23)
- removed redundant environment settings before configure

* Sun Mar 09 2003 Alexey Voinov <voins@voins.program.ru> 1.22.1-alt1
- new version (1.22.1)
- all patches removed

* Tue Feb 11 2003 Alexey Voinov <voins@voins.program.ru> 1.20-alt15
- BuildReqs fixed
- wrong Requires removed (fixes bug #0002221)

* Mon Nov 20 2002 Alexey Voinov <voins@voins.program.ru> 1.20-alt14
- rebuild with new libwraster.so

* Sun Nov 03 2002 Alexey Voinov <voins@voins.program.ru> 1.20-alt13
- rebuild with new WINGs (Xft support)
- wrlib patch added (libwraster API changed)

* Mon Oct 14 2002 Stanislav Ievlev <inger@altlinux.ru> 1.20-alt12
- rebuild with gcc3
- updated url

* Thu Jan 17 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.20-alt11
- Make use of %%update_wms.

* Sat Dec 29 2001 Alexey Voinov <voins@voins.program.ru> 1.20-alt10
- added -longpasswd patch (fixes bug with dropping passwords longer 13 chars)
- uncompressed vns2 patch

* Thu Oct 18 2001 Alexey Voinov <voins@voins.program.ru> 1.20-alt9
- automatic buildreqs fixed
- s/make -j2/make/
- hack for semi-correct including WINGs.h and WUtil.h (export CC...)

* Fri Oct 12 2001 AEN <aen@logic.ru> 1.20-alt8
- rebuild with libpng.so.3

* Fri May 25 2001 Alexey Voinov <voins@voins.program.ru> 1.20-alt7
- Xsession fixed.
- wdm-config marked as %config

* Mon Apr 30 2001 Alexey Voinov <voins@voins.program.ru>
- conditional NoSource. build nosrc.rpm with --define 'nosource 1'

* Thu Apr 26 2001 Alexey Voinov <voins@voins.program.ru>
- Spring2001 build
- session support added (additional patches for fndSession and prefdm)
- better default configuration

* Thu Feb 13 2001 Alexey Voinov <voins@voins.program.ru>
- include path to new WINGS added (for WindowMaker 0.64.0)

* Thu Oct 19 2000 Alexey Voinov <voins@voins.program.ru>
- pam support enabled

* Fri Jan 21 2000 Lenny Cartier <lenny@mandrakesoft.com>
- v1.19

